polybori::CExpIter< NavigatorType, ExpType > Class Template Reference

`#include <BoolePolynomial.h>`

Inheritance diagram for polybori::CExpIter< NavigatorType, ExpType >:

## Public Types

typedef CExpIter< NaviType, ExpType > | self
| Name type of *this. More...
typedef pbori_base< self >::type | base
| Get base type. More...

## Public Member Functions

| CExpIter (NaviType navi)
| Construct iteraor from navigator over decision diagram structure. More...
void | increment ()
| Incrementation operation core. More...
self & | operator++ ()
| Prefix incrementation operation. More...
self | operator++ (int)
| Postfix incrementation operation. More...

## Member Typedef Documentation

template<class NavigatorType , class ExpType >

typedef pbori_base<self>::type polybori::CExpIter< NavigatorType, ExpType >::base

Get base type.

template<class NavigatorType , class ExpType >

typedef CExpIter<NaviType, ExpType> polybori::CExpIter< NavigatorType, ExpType >::self

Name type of *this.

## Constructor & Destructor Documentation

template<class NavigatorType , class ExpType >

polybori::CExpIter< NavigatorType, ExpType >::CExpIter | ( | NaviType | navi) |  |

inline

Construct iteraor from navigator over decision diagram structure.

## Member Function Documentation

template<class NavigatorType , class ExpType >

void polybori::CExpIter< NavigatorType, ExpType >::increment | ( | ) |  |

inline

Incrementation operation core.

References PBORI_ASSERT.

template<class NavigatorType , class ExpType >

self& polybori::CExpIter< NavigatorType, ExpType >::operator++ | ( | ) |  |

inline

Prefix incrementation operation.

template<class NavigatorType , class ExpType >

self polybori::CExpIter< NavigatorType, ExpType >::operator++ | ( | int | ) |  |

inline

Postfix incrementation operation.

The documentation for this class was generated from the following files:

- BoolePolynomial.h
- CExpIter.h